
Redmine - Defect #1334

Wiki formatting character *_ and _*

2008-05-30 22:22 - James Byrne

Status: Closed Start date: 2008-05-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version: 0.7.1

Description

The wiki formatter enforces a non-obvious dependency on strong '*' and emphasis '_' tags.  Specifically, emphasis tag characters

must be contained within strong tag characters. Thus This Text is Bold Italic; but This text has '' Italicized as Well* .

Making this worse is that Redmine 0.7, when importing from Trac (which uses various numbers of ' to accomplish the same thing),

substitutes "_*text*_" for " '''''text''''' " when the equivalent in Redmine should be text.  Lastly,  Redmine does not properly parse text

formatting that is enclosed in any adjacent characters without a whitespace separator: (This is Not Formatted) ( but this is ).

I suggest that the dependency be removed and that '_*x*_' display the same as '*_x_*'.  I have mixed feelings about whether or not

formatting tags should require whitespace separation from surrounding text.

Finally, I cannot get a preview of this submission, all I see is a frame with the word Preview in the upper left corner; much like a html

fieldset legend with empty contents.

Related issues:

Related to Redmine - Defect #3089: Text formatting sometimes breaks when comb... Closed 2009-04-01

Associated revisions

Revision 3563 - 2010-03-12 14:43 - Jean-Philippe Lang

Fixed: text formatting breaks when using parenthesis inside bold tags (#1334).

History

#1 - 2008-05-30 22:30 - James Byrne

Actually, what the Trac import routine does is output this:

'''''text''''' becomes text

#2 - 2008-05-30 22:31 - James Byrne

Let me try that again.

'''''text''''' becomes '_*text_*'

#3 - 2008-11-11 10:36 - Jean-Philippe Lang

- Target version deleted (0.8)

#4 - 2009-03-20 17:11 - Joscha Drechsler

The parser also produces erroneous output when using parenthesis:

'_one_' and '_two_' becomes one and two as it is supposed to.

but when you parenthise 'one' and 'two', what happens is:

'_(one)_' and '_(two)_' becomes (one) and (two) which is obviously not what it should look like.

and this happens also for bold string: '*one*' and '*two*' becomes (one) and (two)

#5 - 2010-03-12 14:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

First part fixed in r3561. Last part in r3563.
